2019-10-14 10:23 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001511FSSCP---------public2007-10-12 15:14
Reportersefi 
Assigned Tokarajorma 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001511: Missing declarations in sexp.cpp
DescriptionThere are three missing declarations in sexp.cpp. The attached patch fixes the issue.
TagsNo tags attached.
Attached Files
  • patch file icon fs2_build.patch (843 bytes) 2007-10-06 12:49 -
    --- code/parse/sexp.cpp	2007-10-06 14:09:53.000000000 +0200
    +++ code/parse/sexp.cpp	2007-10-06 14:16:33.000000000 +0200
    @@ -10600,9 +10600,9 @@ void sexp_toggle_builtin_messages (int n
     		{
     			// Since trying to determine whose wingman in a stand alone multiplayer game opens a can of worms
     			// Any Wingman silences all ships in wings regardless of whose side they're on. 
    -			for (wingnum = 0; wingnum < Num_wings; wingnum++ ) {
    -				for ( shipnum = 0; shipnum < Wings[wingnum].current_count; shipnum++ ) {
    -					ship_index = Wings[wingnum].ship_index[shipnum];
    +			for (unsigned wingnum = 0; wingnum < Num_wings; wingnum++ ) {
    +				for (unsigned shipnum = 0; shipnum < Wings[wingnum].current_count; shipnum++ ) {
    +					int ship_index = Wings[wingnum].ship_index[shipnum];
     					Assert( ship_index != -1 );
     
     					if (enable_messages) {
    
    patch file icon fs2_build.patch (843 bytes) 2007-10-06 12:49 +

-Relationships
+Relationships

-Notes

~0008559

karajorma (administrator)

Looks like I added the declaration in the 3.6.9 branch but missed it in HEAD. Fixed.
+Notes

-Issue History
Date Modified Username Field Change
2007-10-06 12:49 sefi New Issue
2007-10-06 12:49 sefi File Added: fs2_build.patch
2007-10-12 15:00 karajorma Status new => assigned
2007-10-12 15:00 karajorma Assigned To => karajorma
2007-10-12 15:14 karajorma Status assigned => resolved
2007-10-12 15:14 karajorma Fixed in Version => 3.6.10
2007-10-12 15:14 karajorma Resolution open => fixed
2007-10-12 15:14 karajorma Note Added: 0008559
+Issue History